Have downloaded the EVAL of Vibe 3.3

Does Vibe support JDK Java SE 6 Update 33 ?

Does Vibe support JDK Java SE 7 Update 6 ?

Is there a preference for JDK version ?